
# react-native-ui-skel

A simple React Native component that implements a Skeleton UI.
It will performance your react-native app and you will get more fps ( this library only works in a bare react-native app / it wont work in a expo-react-native app ).

1. Install your skel

```bash
npm install react-native-ui-skel
```

2. Install pods

```bash
npx pod-install
```

## Usage/Examples

```javascript
import { Skel } from 'react-native-ui-skel'

<View>
    <Skel 
      height={40} 
      width={300}
      styles={{ borderRadius: 4 }}
    />
</View>
```




### Props

| Name               | Type             | Default                 | Description                                                                                                                       |
| ------------------ | ---------------- | ----------------------- | --------------------------------------------------------------------------------------------------------------------------------- |
| height          | number             | **required**            | Skel height                                                                                |
| width          | number             | **required**            | Skel width                                                                                            |
| duration           | number           | 1000 ms                 | Duration of the animation                                                                                                |
| styles     | object           | {}                 | The style applied to the Skel                                                                                    |
| backgroundColor             | string           | #EBEFF5 | The color of the Skel background                                                                                                      |
| backgroundAnimationColor     | array           | ['transparent', 'rgba(0,0,0, 0.03)', 'transparent']               | The color of the Skel animation (this gives UI touch)



## Authors

- [@chrisdev3001](https://www.github.com/chrisdev3001)